Subject: Re: bug#11448: 24.1.50; Strange indentation level in C macro

From: Michael Welsh Duggan <[email-masked]>
Date: Thu, 30 May 2013 22:46:20 -0400

I'd like to bump this issue.  I looked into it a little, and it looks
like several of the macros before the point in question are being marked
as c-in-sws, which doesn't seem right to me.  The code ends up
evaluating `c-beginning-of-macro' in a buffer that is narrowed such that
the beginning of the macro that it is trying to find the beginning of is
cut off.

The resulting indentation problem isn't horrible, but the bug that leads
to this problem is subtle enough that it could be causing other problems
in similar situations.

-- 
Michael Duggan